<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Flex</title>


		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	</head>
	<body class=text-center>

	<h2>Flex Row</h2>
	<div class="bg-dark p-3 d-flex row justify-content-around">

		<div class="col-md-2 h-25 p-3 bg-success">Card A</div>
		<div class="col-md-2 h-25 p-3 bg-warning">Card B</div>
		<div class="col-md-2 h-25 p-3 bg-danger">Card C</div>
		
	</div>

	<h2>Flex With Margin</h2>
	<div class="bg-dark p-3 d-flex flex-row">

			<div class="bg-success h-25 p-3 mr-auto">Flex Item A</div>
			<div class="bg-warning h-25 p-3">Flex Item B</div>
			<div class="bg-danger h-25 p-3">Flex Item C</div>
			<div class="bg-primary h-25 p-3">Flex Item D</div>
			
	</div>

	<h2>Nested Flex Elements</h2>
	<div class="bg-dark p-3 d-flex flex-column flex-md-row flex-lg-row align-items-md-start align-items-lg-start justify-content-md-between justify-content-lg-between">
	        
	        <div class="p-3 bg-success h-25">Flex Item A</div>
	        
	        <div class="d-flex w-50 flex-column flex-md-row flex-lg-row align-items-start align-items-md-baseline align-items-lg-baseline justify-content-md-between justify-content-lg-between">

	        <div class="p-3 bg-warning h-25">Flex Item B</div>
	        <div class="p-3 bg-danger h-25">Flex Item C</div>
	        <div class="p-3 bg-primary h-25">Flex Item D</div>
	        
	        </div>
	</div>




		<!-- Bootstrap JS -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

	</body>
</html>